package haveubreak;

import haveubreak.ihm.FrameMain;
import java.io.File;
import java.io.FileReader;
import java.util.Properties;
import javax.swing.ImageIcon;
import javax.swing.UIManager;

public class Main {

    public static final ImageIcon ICON_OK =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/accept.png"));
    public static final ImageIcon ICON_CANCEL =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/cancel.png"));
    public static final ImageIcon ICON_HELP =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/help.png"));
    public static final ImageIcon ICON_WARN =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/warning.png"));
    public static final ImageIcon ICON_APPLI =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/appli.png"));
    public static final ImageIcon ICON_PLAY =
            new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/play.gif"));
    public static final ImageIcon ICON_PAUSE =
        new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/pause.gif"));
    public static final ImageIcon ICON_RAZ =
        new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/raz.png"));
    public static final ImageIcon ICON_MESSAGE =
        new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/message.png"));
    public static final ImageIcon ICON_SAVE =
        new ImageIcon(Main.class.getResource("/haveubreak/ihm/icons/disk.png"));
    
    public static void main(String[] args) {
        
        UIManager.put("swing.boldMetal", Boolean.FALSE);
    
        Configuration config = new Configuration();
        
        Properties prop = new Properties();
        try {
            prop.load(new FileReader(new File("haveubreak.properties")));
            if (prop.getProperty("channel.name") != null) {
                config.setApplicationName(prop.getProperty("appli.name"));
                config.setNickName(prop.getProperty("user.nickname"));
                config.setChannelName(prop.getProperty("channel.name"));
                config.setMinimizeInTray(prop.getProperty("minimizeintray").equals("true"));
                config.setShowTrayPopupDemandes(prop.getProperty("popup.demandes").equals("true"));
                config.setShowTrayPopupDeparts(prop.getProperty("popup.departs").equals("true"));
                config.setShowTrayPopupRetours(prop.getProperty("popup.retours").equals("true"));
            }
        } catch (Exception ex) { }
        
        FrameMain frame = new FrameMain(config);
        
        frame.setVisible(true);
        
        Handler handler = Handler.getInstance();
        
        handler.setConfig(config);
        
        handler.addListener(frame);
        
        frame.initConnection();
        
    }
    
}
